git remotes with ssh aliases

did you know that `~/.ssh/config` aliases work for git remotes??


~/.ssh/config

<pre>
Host gh
HostName github.com
User git
IdentityFile ~/.ssh/gh_key
</pre>

you can now use `gh:username/repo` as the remote in place of `git@github.com:username/repo`, which is much shorter and easier to type many times!

`git clone gh:benharri/learngit`


there are many other use cases for the `ssh_config` file. for example, here is my config for the tilde machine for easy ssh connections.

<pre>
Host tilde
HostName tilde.team
User ben
</pre>

then use `ssh tilde` to start a new ssh session. this also works with `scp`: try something like this `scp file.txt tilde:workspace/.` in place of `scp file.txt ben@tilde.team:workspace/.`

the ssh_config file is super useful. check `man ssh_config` for a full list of options!


tags: git, ssh
